import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/yyaaa1/2a71bdf8de2d1fb6bcf02ee19e2d7322/raw/9080712ff064dc4e3d455730310db130b361d5da/crime2.csv';

const row = d => {
  d.latitude = +d.latitude;
  d.longitude = +d.longitude;
  d.total_crimes = +d.total_crimes;
  return d;
}

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
